<h2>Add Event</h2>
<form (ngSubmit)="addEvent()">

  <input placeholder="Label" type="text" [(ngModel)]="newEvent.label" name="label">
  <input placeholder="Date" type="datetime-local" [(ngModel)]="newEvent.date" name="date">

  <button>add</button>
</form>
<h2>Events</h2>

<section class="selected" *ngIf="selected">
  <p>id : {{selected.id}}</p>
  <p>label : {{selected.label}}</p>
  <p>date : {{selected.date | date:'dd/MM/yyyy'}}</p>
  <button (click)="deleteEvent()">Delete event</button>
</section>

  <section class="events">
    <article (click)="selected=event" *ngFor="let event of events | async" [ngClass]="{'passed': isPassed(event.date)}">
      <p>{{event.label}}</p>
      <p class="date">{{event.date | date:'dd/MM/yyyy'}}</p>
    </article>
  </section>


